k8s版本问题

对于镜像安装 k8s 而言, 所有版本的 k8s 都有一套配套的镜像, 通过

1
kubeadm config images list --kubernetes-version 1.13.0

看到对于的镜像, 1.13.0 版本所需要的镜像如下:

1
2
3
4
5
6
7
k8s.gcr.io/kube-apiserver:v1.13.0
k8s.gcr.io/kube-controller-manager:v1.13.0
k8s.gcr.io/kube-scheduler:v1.13.0
k8s.gcr.io/kube-proxy:v1.13.0
k8s.gcr.io/pause:3.1
k8s.gcr.io/etcd:3.2.24
k8s.gcr.io/coredns:1.3